4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BuildDocs

Main distutils extensions for generating documentation

    Copyright 2005 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: BuildDocs, ExternalBuildDocs |  |  |  | Functions: FindIncludes, ProcessIncludes |  |  |  | Globals: INDEX_LISTITEM, INDEX_SECTION, INDEX_SOURCE, INDEX_TEMPLATE, INDEX_TITLES

## Classes

class BuildDocs(distutils.cmd.Command)

  ### Methods

  finalize_options(self)
    Overrides: finalize_options from class Command
  get_outputs(self)
  get_source_files(self)
  initialize_options(self)
    Overrides: initialize_options from class Command
  run(self)
    Overrides: run from class Command

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  boolean_options = ['force']
  command_name = 'build_docs'
  description = 'build documentation files (copy or generate XML sources)'
  user_options = [('build-dir=', 'd', 'directory to "build" (generate) to'), ('force', 'f', 'forcibly build everything (ignore file timestamps)')]

  ### Members inherited from class distutils.cmd.Command

  sub_commands
class ExternalBuildDocs(distutils.cmd.Command)

  ### Methods

  __init__(self, dist, stylesheets, general, modules, package_modules, extensions, scripts, build_lib, build_dir, xml_dir, html_dir, man_dir, force, verbose, dry_run, packages_mtime)
    Overrides: __init__ from class Command
  build_index(self, docs)
  doc_extensions(self)
    Create XML documentation for XPath/XSLT extensions
  doc_general(self)
  doc_modules(self)
  doc_scripts(self)
  document(self, category, name, sources, object, formatter)
  get_outputs(self)
  render_docs(self, docs)
  render_one(self, outfile, source, stylesheets, params)
  run(self)
    Overrides: run from class Command

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, finalize_options, get_command_name, get_finalized_command, get_sub_commands, initialize_options, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  command_name = 'build_docs'

  ### Members inherited from class distutils.cmd.Command

  sub_commands

## Functions

FindIncludes(source, xslt=False, _includes=None)
ProcessIncludes(source, callback, xslt=False)

## Globals

INDEX_LISTITEM = ' <listitem>\n <ulink url="%(url)s" type="generate">%(title)s</ulink>\n </listitem>\n'
INDEX_SECTION = '\n <section id="%(category)s">\n <title>%(titl...itemizedlist>\n </section> <!-- %(category)s -->\n'
INDEX_SOURCE = ' <f:source>\n <f:title>%(title)s</f:title...\n <f:dst>%(output)s</f:dst>\n </f:source>\n'
INDEX_TEMPLATE = '<?xml version="1.0" encoding="iso-8859-1"?>\n<art...space)s">\n%(sources)s\n </f:sources>\n\n</article>\n'
INDEX_TITLES = {'commandline': 'Command-line Applications', 'extensions': 'XPath/XSLT Extensions', 'general': 'General', 'modules': 'Modules'}